OGRE-Next: Ogre::ScaleAffector Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ScaleAffector Class Reference

This plugin subclass of ParticleAffector allows you to alter the scale of particles. More...

`#include <OgreScaleAffector.h>`

Inheritance diagram for Ogre::ScaleAffector:
[legend]

## Classes
class | CmdScaleAdjust
| Command object for scale adjust (see ParamCommand). More...

## Public Member Functions
| ScaleAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| See ParticleAffector.
Real | getAdjust () const
| Gets the scale adjustment to be made per second to particles.
void | setAdjust (Real rate)
| Sets the scale adjustment to be made per second to particles.
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
virtual void | _initParticle (Particle *pParticle)
| Method called to allow the affector to initialize all newly created particles in the system.
const String & | getType () const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
virtual void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary ()
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary () const
virtual String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters () const
| Retrieves a list of parameters valid for this object.
virtual bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
virtual void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes
static CmdScaleAdjust | msScaleCmd

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Detailed Description

This plugin subclass of ParticleAffector allows you to alter the scale of particles.

Remarks
  This class supplies the ParticleAffector implementation required to make the particle expand or contract in mid-flight.

## Constructor & Destructor Documentation

## ◆ ScaleAffector()

Ogre::ScaleAffector::ScaleAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## ◆ _affectParticles()

void Ogre::ScaleAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )
| overridevirtual

See ParticleAffector.

Implements Ogre::ParticleAffector.

## ◆ getAdjust()

Real Ogre::ScaleAffector::getAdjust | ( |  | ) | const

Gets the scale adjustment to be made per second to particles.

## ◆ setAdjust()

void Ogre::ScaleAffector::setAdjust | ( | Real | rate | ) |

Sets the scale adjustment to be made per second to particles.

Parameters

  rate | Sets the adjustment to be made to the x and y scale components per second. These values will be added to the scale of all particles every second, scaled over each frame for a smooth adjustment.

## Member Data Documentation

## ◆ msScaleCmd

CmdScaleAdjust Ogre::ScaleAffector::msScaleCmd
| static

The documentation for this class was generated from the following file:

- OgreScaleAffector.h